<?php defined('SYSPATH') or die('No direct script access.');

class Model_Departments extends Model
{
    /**
     * @param $faculty int faculty id
     * @return Database_Result
     */
    public static function ofFaculty($faculty) {        // todo: move to Model_Faculty
        $sql = "CALL `GetDepartments`(:faculty)";
        return DB::query(Database::SELECT, $sql)
            ->param(':faculty', $faculty)->execute();
    }

    public static function byFaculty($facultyID) {      // fixme: how this differs with ofFaculty method?
        $list = [];
        if ($facultyID > 0) {
            $departments = self::ofFaculty($facultyID);
            foreach ($departments as $row) {
                if ($row['Name'] == null)
                    $row['Name'] = '<служебная кафедра>';
                $list[] = $row;
            }
        }
        return $list;
    }
}
